%kmdl saa7134

Summary: A V4L/OSS device for saa7130/34 based TV/capture cards.
Name: saa7134
Version: 0.2.12
Release: 15.1.2%{?dist}
URL: http://bytesex.org/saa7134/
Source0: http://dl.bytesex.org/releases/video4linux/%{name}-%{version}.tar.gz
Patch0: saa7134-0.2.12-i2cnamingscheme.patch
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl
%kmdl_parentdependencies

%description
Almost everything is working. video, sound, ...
As with bttv, card-specific tweaks are needed.

still todo:

    * vbi needs more work.
    * plenty of finetuning ... 

supported cards

  0 -> UNKNOWN/GENERIC                         
  1 -> Proteus Pro [philips reference design]   [1131:2001]
  2 -> LifeView FlyVIDEO3000                   
  3 -> LifeView FlyVIDEO2000                   
  4 -> EMPRESS                                  [1131:6752]
  5 -> SKNet Monster TV                         [1131:4e85]
  6 -> Tevion MD 9717                          
  7 -> KNC One TV-Station RDS                  
  8 -> Terratec Cinergy 400 TV                  [153B:1142]
  9 -> Medion 5044                             
 10 -> Kworld/KuroutoShikou SAA7130-TVPCI      
 11 -> Terratec Cinergy 600 TV                  [153B:1143]

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel drivers for saa7130/34 based TV/capture cards.
Group: System Environment/Kernel

%description -n %kmdl_name
%kmdl_desc

%prep
%setup -q
%patch0 -p0
perl -pi -e's/^install/old_install/' Makefile
cat >> Makefile <<"EOF"
DEST		:= %{buildroot}%{kmdl_moduledir}/drivers/video/media
install::
	strip --strip-debug $(inst-m)
	mkdir -p $(DEST)
	cp -v $(inst-m) $(DEST)
EOF

%build
%kmdl_config

make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

%else 

%makeinstall 

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc doc/*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/video/media/*

%endif

%changelog
* Fri May 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.12.

* Sun Dec 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.9.
- Remove i2c >= 2.8.0 patch, it is handled upstream now.

* Sun Aug 10 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.8.

* Tue Jun 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
- Used bttv spec as a template.
